Index: Makefile.in
--- Makefile.in.orig	2005-05-09 07:56:09 +0200
+++ Makefile.in	2005-05-26 21:18:45 +0200
@@ -575,7 +575,7 @@
 install-swig-rb: install-swig-rb-lib
 
 $(SWIG_PL_DIR)/native/Makefile: $(SWIG_PL_DIR)/native/Makefile.PL
-	cd $(SWIG_PL_DIR)/native; $(PERL) Makefile.PL
+	cd $(SWIG_PL_DIR)/native; $(PERL) Makefile.PL INSTALLDIRS=vendor
 
 swig-pl_DEPS = libsvn_client libsvn_delta libsvn_diff libsvn_fs libsvn_ra libsvn_repos libsvn_subr libsvn_wc libsvn_swig_perl $(SWIG_PL_DIR)/native/Makefile
 swig-pl: $(swig-pl_DEPS)
Index: apr-util/crypto/getuuid.c
--- apr-util/crypto/getuuid.c.orig	2005-05-20 19:41:51 +0200
+++ apr-util/crypto/getuuid.c	2005-05-26 21:18:45 +0200
@@ -102,7 +102,7 @@
 static void get_pseudo_node_identifier(unsigned char *node)
 {
     get_random_info(node);
-    node[0] |= 0x80;                    /* this designates a random node ID */
+    node[0] |= 0x01;                    /* this designates a random node ID */
 }
 
 static void get_system_time(apr_uint64_t *uuid_time)
Index: build-outputs.mk
--- build-outputs.mk.orig	2005-05-20 19:42:00 +0200
+++ build-outputs.mk	2005-05-26 21:22:50 +0200
@@ -4,6 +4,34 @@
 # Section 1: Global make variables
 ########################################
 
+OPENPKG_LIBS_ROOT = \
+    ../../../../subversion
+OPENPKG_LIBS_SVN = \
+    $(OPENPKG_LIBS_ROOT)/libsvn_client/libsvn_client-1.la \
+    $(OPENPKG_LIBS_ROOT)/libsvn_delta/libsvn_delta-1.la \
+    $(OPENPKG_LIBS_ROOT)/libsvn_diff/libsvn_diff-1.la \
+    $(OPENPKG_LIBS_ROOT)/libsvn_fs/libsvn_fs-1.la \
+    $(OPENPKG_LIBS_ROOT)/libsvn_fs_base/libsvn_fs_base-1.la \
+    $(OPENPKG_LIBS_ROOT)/libsvn_fs_fs/libsvn_fs_fs-1.la \
+    $(OPENPKG_LIBS_ROOT)/libsvn_ra/libsvn_ra-1.la \
+    $(OPENPKG_LIBS_ROOT)/libsvn_ra_dav/libsvn_ra_dav-1.la \
+    $(OPENPKG_LIBS_ROOT)/libsvn_ra_local/libsvn_ra_local-1.la \
+    $(OPENPKG_LIBS_ROOT)/libsvn_ra_svn/libsvn_ra_svn-1.la \
+    $(OPENPKG_LIBS_ROOT)/libsvn_repos/libsvn_repos-1.la \
+    $(OPENPKG_LIBS_ROOT)/libsvn_subr/libsvn_subr-1.la \
+    $(OPENPKG_LIBS_ROOT)/libsvn_wc/libsvn_wc-1.la
+OPENPKG_LIBS_EXT = \
+    -liconv -lz `neon-config --libs` -lssl -lcrypto -lxml2
+OPENPKG_PYTHON_LIBS = \
+    $(OPENPKG_LIBS_SVN) \
+    $(OPENPKG_LIBS_SVN) \
+    $(OPENPKG_LIBS_SVN) \
+    $(OPENPKG_LIBS_SVN) \
+    $(SVN_APRUTIL_LIBS) \
+    $(SVN_APR_LIBS) \
+    $(OPENPKG_LIBS_EXT) \
+    $(LIBS)
+
 FS_BASE_DEPS = subversion/libsvn_fs_base/libsvn_fs_base-1.la subversion/libsvn_delta/libsvn_delta-1.la subversion/libsvn_subr/libsvn_subr-1.la
 FS_BASE_LINK = ../../subversion/libsvn_fs_base/libsvn_fs_base-1.la ../../subversion/libsvn_delta/libsvn_delta-1.la ../../subversion/libsvn_subr/libsvn_subr-1.la
 
@@ -325,43 +353,43 @@
 python_client_DEPS =  subversion/bindings/swig/python/svn_client.lo subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la subversion/libsvn_client/libsvn_client-1.la subversion/libsvn_subr/libsvn_subr-1.la subversion/bindings/swig/python/_core.la
 python_client_OBJECTS = svn_client.lo
 subversion/bindings/swig/python/_client.la: $(python_client_DEPS)
-	cd subversion/bindings/swig/python && $(LINK_PY_WRAPPER) -o _client.la $(LT_NO_UNDEFINED) $(python_client_OBJECTS) $(LSWIGPY) ../../../../subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la ../../../../subversion/libsvn_client/libsvn_client-1.la ../../../../subversion/libsvn_subr/libsvn_subr-1.la $(SVN_APR_LIBS) $(LIBS)
+	cd subversion/bindings/swig/python && $(LINK_PY_WRAPPER) -o _client.la $(LT_NO_UNDEFINED) $(python_client_OBJECTS) $(LSWIGPY) ../../../../subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la ../../../../subversion/libsvn_client/libsvn_client-1.la ../../../../subversion/libsvn_subr/libsvn_subr-1.la $(SVN_APR_LIBS) $(LIBS) $(OPENPKG_PYTHON_LIBS)
 
 python_core_PATH = subversion/bindings/swig/python
 python_core_DEPS =  subversion/bindings/swig/python/core.lo subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la subversion/libsvn_delta/libsvn_delta-1.la subversion/libsvn_diff/libsvn_diff-1.la subversion/libsvn_subr/libsvn_subr-1.la
 python_core_OBJECTS = core.lo
 subversion/bindings/swig/python/_core.la: $(python_core_DEPS)
-	cd subversion/bindings/swig/python && $(LINK_PY_WRAPPER) -o _core.la $(LT_NO_UNDEFINED) $(python_core_OBJECTS) $(LSWIGPY) ../../../../subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la ../../../../subversion/libsvn_delta/libsvn_delta-1.la ../../../../subversion/libsvn_diff/libsvn_diff-1.la ../../../../subversion/libsvn_subr/libsvn_subr-1.la $(SVN_APR_LIBS) $(LIBS)
+	cd subversion/bindings/swig/python && $(LINK_PY_WRAPPER) -o _core.la $(LT_NO_UNDEFINED) $(python_core_OBJECTS) $(LSWIGPY) ../../../../subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la ../../../../subversion/libsvn_delta/libsvn_delta-1.la ../../../../subversion/libsvn_diff/libsvn_diff-1.la ../../../../subversion/libsvn_subr/libsvn_subr-1.la $(SVN_APR_LIBS) $(LIBS) $(OPENPKG_PYTHON_LIBS)
 
 python_delta_PATH = subversion/bindings/swig/python
 python_delta_DEPS =  subversion/bindings/swig/python/svn_delta.lo subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la subversion/libsvn_delta/libsvn_delta-1.la subversion/libsvn_subr/libsvn_subr-1.la subversion/bindings/swig/python/_core.la
 python_delta_OBJECTS = svn_delta.lo
 subversion/bindings/swig/python/_delta.la: $(python_delta_DEPS)
-	cd subversion/bindings/swig/python && $(LINK_PY_WRAPPER) -o _delta.la $(LT_NO_UNDEFINED) $(python_delta_OBJECTS) $(LSWIGPY) ../../../../subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la ../../../../subversion/libsvn_delta/libsvn_delta-1.la ../../../../subversion/libsvn_subr/libsvn_subr-1.la $(LIBS)
+	cd subversion/bindings/swig/python && $(LINK_PY_WRAPPER) -o _delta.la $(LT_NO_UNDEFINED) $(python_delta_OBJECTS) $(LSWIGPY) ../../../../subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la ../../../../subversion/libsvn_delta/libsvn_delta-1.la ../../../../subversion/libsvn_subr/libsvn_subr-1.la $(LIBS) $(OPENPKG_PYTHON_LIBS)
 
 python_fs_PATH = subversion/bindings/swig/python
 python_fs_DEPS =  subversion/bindings/swig/python/svn_fs.lo subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la subversion/libsvn_fs/libsvn_fs-1.la subversion/libsvn_subr/libsvn_subr-1.la subversion/bindings/swig/python/_core.la
 python_fs_OBJECTS = svn_fs.lo
 subversion/bindings/swig/python/_fs.la: $(python_fs_DEPS)
-	cd subversion/bindings/swig/python && $(LINK_PY_WRAPPER) -o _fs.la $(LT_NO_UNDEFINED) $(python_fs_OBJECTS) $(LSWIGPY) ../../../../subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la ../../../../subversion/libsvn_fs/libsvn_fs-1.la ../../../../subversion/libsvn_subr/libsvn_subr-1.la $(LIBS)
+	cd subversion/bindings/swig/python && $(LINK_PY_WRAPPER) -o _fs.la $(LT_NO_UNDEFINED) $(python_fs_OBJECTS) $(LSWIGPY) ../../../../subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la ../../../../subversion/libsvn_fs/libsvn_fs-1.la ../../../../subversion/libsvn_subr/libsvn_subr-1.la $(LIBS) $(OPENPKG_PYTHON_LIBS)
 
 python_ra_PATH = subversion/bindings/swig/python
 python_ra_DEPS =  subversion/bindings/swig/python/svn_ra.lo subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la subversion/libsvn_ra/libsvn_ra-1.la subversion/libsvn_subr/libsvn_subr-1.la subversion/bindings/swig/python/_core.la
 python_ra_OBJECTS = svn_ra.lo
 subversion/bindings/swig/python/_ra.la: $(python_ra_DEPS)
-	cd subversion/bindings/swig/python && $(LINK_PY_WRAPPER) -o _ra.la $(LT_NO_UNDEFINED) $(python_ra_OBJECTS) $(LSWIGPY) ../../../../subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la ../../../../subversion/libsvn_ra/libsvn_ra-1.la ../../../../subversion/libsvn_subr/libsvn_subr-1.la $(LIBS)
+	cd subversion/bindings/swig/python && $(LINK_PY_WRAPPER) -o _ra.la $(LT_NO_UNDEFINED) $(python_ra_OBJECTS) $(LSWIGPY) ../../../../subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la ../../../../subversion/libsvn_ra/libsvn_ra-1.la ../../../../subversion/libsvn_subr/libsvn_subr-1.la $(LIBS) $(OPENPKG_PYTHON_LIBS)
 
 python_repos_PATH = subversion/bindings/swig/python
 python_repos_DEPS =  subversion/bindings/swig/python/svn_repos.lo subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la subversion/libsvn_repos/libsvn_repos-1.la subversion/libsvn_subr/libsvn_subr-1.la subversion/bindings/swig/python/_core.la
 python_repos_OBJECTS = svn_repos.lo
 subversion/bindings/swig/python/_repos.la: $(python_repos_DEPS)
-	cd subversion/bindings/swig/python && $(LINK_PY_WRAPPER) -o _repos.la $(LT_NO_UNDEFINED) $(python_repos_OBJECTS) $(LSWIGPY) ../../../../subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la ../../../../subversion/libsvn_repos/libsvn_repos-1.la ../../../../subversion/libsvn_subr/libsvn_subr-1.la $(LIBS)
+	cd subversion/bindings/swig/python && $(LINK_PY_WRAPPER) -o _repos.la $(LT_NO_UNDEFINED) $(python_repos_OBJECTS) $(LSWIGPY) ../../../../subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la ../../../../subversion/libsvn_repos/libsvn_repos-1.la ../../../../subversion/libsvn_subr/libsvn_subr-1.la $(LIBS) $(OPENPKG_PYTHON_LIBS)
 
 python_wc_PATH = subversion/bindings/swig/python
 python_wc_DEPS =  subversion/bindings/swig/python/svn_wc.lo subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la subversion/libsvn_wc/libsvn_wc-1.la subversion/libsvn_subr/libsvn_subr-1.la subversion/bindings/swig/python/_core.la
 python_wc_OBJECTS = svn_wc.lo
 subversion/bindings/swig/python/_wc.la: $(python_wc_DEPS)
-	cd subversion/bindings/swig/python && $(LINK_PY_WRAPPER) -o _wc.la $(LT_NO_UNDEFINED) $(python_wc_OBJECTS) $(LSWIGPY) ../../../../subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la ../../../../subversion/libsvn_wc/libsvn_wc-1.la ../../../../subversion/libsvn_subr/libsvn_subr-1.la $(LIBS)
+	cd subversion/bindings/swig/python && $(LINK_PY_WRAPPER) -o _wc.la $(LT_NO_UNDEFINED) $(python_wc_OBJECTS) $(LSWIGPY) ../../../../subversion/bindings/swig/python/libsvn_swig_py/libsvn_swig_py-1.la ../../../../subversion/libsvn_wc/libsvn_wc-1.la ../../../../subversion/libsvn_subr/libsvn_subr-1.la $(LIBS) $(OPENPKG_PYTHON_LIBS)
 
 ra_local_test_PATH = subversion/tests/libsvn_ra_local
 ra_local_test_DEPS =  subversion/tests/libsvn_ra_local/ra-local-test.o subversion/tests/libsvn_test-1.la subversion/tests/libsvn_test_fs-1.la subversion/libsvn_ra_local/libsvn_ra_local-1.la subversion/libsvn_ra/libsvn_ra-1.la subversion/libsvn_fs/libsvn_fs-1.la subversion/libsvn_delta/libsvn_delta-1.la subversion/libsvn_subr/libsvn_subr-1.la
Index: subversion/bindings/swig/perl/native/Makefile.PL.in
--- subversion/bindings/swig/perl/native/Makefile.PL.in.orig	2005-03-22 10:31:58 +0100
+++ subversion/bindings/swig/perl/native/Makefile.PL.in	2005-05-26 21:18:45 +0200
@@ -26,16 +26,12 @@
                                                                       ra_dav
                                                                       fs_base
                                                                       fs_fs/));
-my @ldmodules = map {"-lsvn_$_-1"} (@modules, qw/diff subr/);
+my @ldmodules = map {"-lsvn_$_-1"} (@modules, qw/diff subr delta ra_dav subr ra_local ra_svn fs_base fs_fs/);
 
 my $apr_shlib_path_var = '@SVN_APR_SHLIB_PATH_VAR@';
 my $apr_cflags = '@SVN_APR_INCLUDES@';
 my $apu_cflags = '@SVN_APRUTIL_INCLUDES@';
-
-# According to the log of r7937, the flags guarded by the conditional break
-# the build on FreeBSD if not conditionalized.
-my $apr_ldflags = '@SVN_APR_EXPORT_LIBS@' 
-   if $^O eq 'darwin' or $^O eq 'cygwin';
+my $apr_ldflags = '@SVN_APRUTIL_EXPORT_LIBS@ @SVN_APR_EXPORT_LIBS@ -liconv -lz '.`neon-config --libs`.' -lssl -lcrypto -lxml2';
 
 chomp $apr_shlib_path_var;
 
@@ -46,9 +42,9 @@
                  " -I$svnlib_srcdir/include",
                  " -I$swig_srcdir -g"),
     OBJECT => q/$(O_FILES)/,
-    LIBS => [join(' ', $apr_ldflags,
+    LIBS => [join(' ', "-L@l_prefix@/lib",
                   (map {$_ = abs_path($_); "-L$_"} @ldpaths),
-                  @ldmodules, '-lsvn_swig_perl-1',
+                  '-lsvn_swig_perl-1', @ldmodules, @ldmodules, @ldmodules, @ldmodules, $apr_ldflags,
                   `$swig -perl -ldflags`)],
     test => { TESTS => "$swig_srcdir/perl/native/t/*.t" }
 );
Index: svn-config.in
--- svn-config.in.orig	2003-12-16 17:41:14 +0100
+++ svn-config.in	2005-05-26 21:18:45 +0200
@@ -22,10 +22,14 @@
 libdir="@libdir@"
 includedir="@includedir@"
 
-LIBS="@NEON_LIBS@ @SVN_APRUTIL_EXPORT_LIBS@ @SVN_APR_EXPORT_LIBS@ @SVN_DB_LIBS@ @LIBS@"
+SVN_LIBS=""
+for name in client repos delta diff wc ra ra_local ra_dav ra_svn fs fs_base fs_fs subr; do
+    SVN_LIBS="$SVN_LIBS -lsvn_${name}-1"
+done
+LIBS="$SVN_LIBS @NEON_LIBS@ @SVN_APRUTIL_EXPORT_LIBS@ @SVN_APR_EXPORT_LIBS@ @LIBS@"
 CFLAGS="@CFLAGS@"
 CPPFLAGS="@CPPFLAGS@"
-INCLUDES="@SVN_NEON_INCLUDES@ @SVN_DB_INCLUDES@ @SVN_APR_INCLUDES@ @SVN_APRUTIL_INCLUDES@"
+INCLUDES="@SVN_NEON_INCLUDES@ @SVN_APR_INCLUDES@ @SVN_APRUTIL_INCLUDES@"
 LDFLAGS="@LDFLAGS@"
 
 SVN_SOURCE_DIR="@abs_srcdir@"
--- configure.orig      Fri Jul  1 22:18:48 2005
+++ configure   Fri Aug  5 17:18:33 2005
@@ -19775,6 +19775,11 @@
       ac_sub_cache_file="$ac_dots$cache_file" ;;
     esac
 
+    args="$args --prefix=$prefix/libexec/subversion/neon"
+    if [ ".$with_ssl" = .yes ]; then
+        args="$args --with-ssl"
+    fi
+
     # The eval makes quoting arguments work.
     if eval $SHELL $ac_abs_srcdir/configure $ac_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_abs_srcdir $args
     then :
